VerityVerity API
API Reference

Health check

Returns API health status. No authentication required.

GET
/health

Response Body

application/json

application/json

curl -X GET "https://verity.backworkai.com/api/v1/health"
{
  "success": true,
  "data": {
    "status": "healthy",
    "version": "v1",
    "checks": {
      "database": {
        "status": "healthy",
        "latency_ms": 5
      },
      "redis": {
        "status": "healthy"
      },
      "redis_cache": {
        "status": "healthy"
      }
    },
    "timestamp": "2024-12-17T10:30:00.000Z"
  }
}
{
  "success": true,
  "data": {
    "status": "healthy",
    "version": "v1",
    "checks": {
      "database": {
        "status": "healthy",
        "latency_ms": 5
      },
      "redis": {
        "status": "healthy"
      },
      "redis_cache": {
        "status": "healthy"
      }
    },
    "timestamp": "2024-12-17T10:30:00.000Z"
  }
}